diff --git a/pgadmin/ctl/ctlSQLResult.cpp b/pgadmin/ctl/ctlSQLResult.cpp
index bdd9ad7..68f7d10 100644
--- a/pgadmin/ctl/ctlSQLResult.cpp
+++ b/pgadmin/ctl/ctlSQLResult.cpp
@@ -219,6 +220,14 @@ void ctlSQLResult::DisplayData(bool single)
 				w = -1;
 
 			SetColSize(col, w);
+			if (thread->DataSet()->ColTypClass(col) == PGTYPCLASS_NUMERIC) {
+				/*
+				 * For numeric columns, set alignment to right.
+				 */
+				wxGridCellAttr *attr = new wxGridCellAttr();
+				attr->SetAlignment(wxALIGN_RIGHT, wxALIGN_TOP);
+				SetColAttr(col, attr);
+			}
 		}
 	}
 	Thaw();
